{ config, lib, pkgs, ... }:

let cfg = config.sydnix.openutau;
in {
  options.sydnix.openutau = {
    enable = lib.mkEnableOption "OpenUTAU";
  };

  config = lib.mkIf cfg.enable {
    home.packages = [
      pkgs.openutau
    ];

    sydnix.impermanence.directories = [
      ".local/share/OpenUtau"
    ];
  };
}
